OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF Class Reference

This package provides data framework for binding
features and data structures.
The feature structure is a tree used to bind
semantic informations about each feature together.
The only one concrete attribute defined in this
package is the TagSource attribute.This attribute
is used for random creation of child labels under
a given label. Tags are randomly delivered.
.

`#include <TDF.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT const Standard_GUID & | LowestID ()
| Returns ID "00000000-0000-0000-0000-000000000000", sometimes used as null ID. .
static Standard_EXPORT const Standard_GUID & | UppestID ()
| Returns ID "ffffffff-ffff-ffff-ffff-ffffffffffff". .
static Standard_EXPORT void | AddLinkGUIDToProgID (const Standard_GUID &ID, const TCollection_ExtendedString &ProgID)
| Sets link between GUID and ProgID in hidden DataMap .
static Standard_EXPORT Standard_Boolean | GUIDFromProgID (const TCollection_ExtendedString &ProgID, Standard_GUID &ID)
| Returns True if there is GUID for given <progid> then GUID is returned in <id> .
static Standard_EXPORT Standard_Boolean | ProgIDFromGUID (const Standard_GUID &ID, TCollection_ExtendedString &ProgID)
| Returns True if there is ProgID for given <id> then ProgID is returned in <progid> .

## Member Function Documentation

static Standard_EXPORT void TDF::AddLinkGUIDToProgID | ( | const Standard_GUID & | ID,
|  | const TCollection_ExtendedString & | ProgID
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TDF::GUIDFromProgID | ( | const TCollection_ExtendedString & | ProgID,
|  | Standard_GUID & | ID
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDF::LowestID | ( |  | ) | `[static]`

void TDF::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF::operator new | ( | size_t | size | ) | `[inline]`

void* TDF::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Boolean TDF::ProgIDFromGUID | ( | const Standard_GUID & | ID,
|  | TCollection_ExtendedString & | ProgID
| ) | `[static]`

static Standard_EXPORT const Standard_GUID& TDF::UppestID | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- TDF.hxx